Bug 460885 - Review Request: netdude - a libpcap trace file manipulation tool
Review Request: netdude - a libpcap trace file manipulation tool
Status: CLOSED DUPLICATE of bug 477546
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On: 460886
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 07:59 EDT by Christian
Modified: 2008-12-22 09:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 08:00:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian 2008-09-02 07:59:33 EDT
Spec URL: http://www.icir.org/christian/fedora/netdude.spec
SRPM URL: http://www.icir.org/christian/fedora/netdude-0.5.0-1.src.rpm
Description: Netdude is the graphical front end of the network dump data
editing framework. Netdude allows users to inspect and edit
trace files to a degree that normally is only achievable by
writing code. Some of its features include scalability to
trace files of arbitrary size, ability to edit multiple traces
at the same time, fine-grained packet header and content
editing, filtering, moving, inserting and deleting packets,
tcpdump output, and a plugin mechanism.

Please note: I need a sponsor.
Comment 1 Jon Ciesla 2008-09-19 11:15:42 EDT
Hi, I can sponsor you once this is approved, and will do a full review.  To that then, please complete a few unofficial reviews, and post links here.

In the mean time, my attempt to build this fails:

<snip>
make[2]: Entering directory `/home/limb/rpmbuild/BUILD/netdude-0.5.0/src'
gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../libltdl -I../src -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -DLIBNETDUDE_CFLAGS="\"\"" -DGTK_CFLAGS="\"-I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include\"" -W -Wall     -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT nd_debug.o -MD -MP -MF .deps/nd_debug.Tpo -c -o nd_debug.o nd_debug.c
In file included from nd_debug.c:29:
./nd.h:32:19: error: libnd.h: No such file or directory
make[2]: *** [nd_debug.o] Error 1
make[2]: Leaving directory `/home/limb/rpmbuild/BUILD/netdude-0.5.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/limb/rpmbuild/BUILD/netdude-0.5.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.55618 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.55618 (%build)
Comment 2 Jon Ciesla 2008-09-19 11:18:30 EDT
Leave it to me to miss the blocker bug. . .<facepalm>
Comment 3 Christian 2008-09-19 13:26:11 EDT
Hi guys -- many thanks for your responses. Jon, you need libnetdude installed before you can build Netdude. See https://bugzilla.redhat.com/show_bug.cgi?id=460886 .
Comment 4 Andreas Thienemann 2008-10-17 20:58:28 EDT
Hi Chris, as discussed via email, the last packaging suggestion:

SPEC: http://home.bawue.de/~ixs/netdude/netdude.spec
SRPM: http://home.bawue.de/~ixs/netdude/netdude-0.5.0-1.fc9.src.rpm
Files: http://home.bawue.de/~ixs/netdude/

[root@localhost ~]# rpmlint /var/lib/mock//fedora-rawhide-*/result/*.rpm
8 packages and 0 specfiles checked; 0 errors, 0 warnings.
[root@localhost ~]#
Comment 5 Jason Tibbitts 2008-11-24 22:21:14 EST
Since the tickets this depends on have all been closed due to non-response, I suppose this should be closed as well.  I'll let the assigned reviewer take care of that.
Comment 6 Jon Ciesla 2008-11-25 08:00:03 EST
Done.
Comment 7 Jason Tibbitts 2008-12-21 15:34:56 EST

*** This bug has been marked as a duplicate of bug 477546 ***

Note You need to log in before you can comment on or make changes to this bug.